package com.jeeplus.modules.filing.earlyEngineering.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.google.common.collect.Lists;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;
import java.util.List;

/**
 * 初设阶段实体类
 * */
public class DesignStage extends DataEntity<DesignStage> {
    /**
     * 项目编码
     */
    private String projectCode;

    /**
     * 单体编码
     */
    private String monomerCode;

    /**
     * 项目名称
     */
    private String entryName;

    /**
     * 初设批复文号
     * */
    private String preDesignNo;

    /**
     * 初设批复日期
     * */
    private Date initialDesignDate;

    /**
     * 初设附件
     * */
    private String preDesignAnnex;


    /**
     * 子类数据集合
     * */
    private List<DesignStage> childList = Lists.newArrayList();

    @ExcelField(title="项目编码", align=2, sort=1)
    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    @ExcelField(title="单体编码", align=2, sort=2)
    public String getMonomerCode() {
        return monomerCode;
    }

    public void setMonomerCode(String monomerCode) {
        this.monomerCode = monomerCode;
    }

    @ExcelField(title="项目名称", align=2, sort=3)
    public String getEntryName() {
        return entryName;
    }

    public void setEntryName(String entryName) {
        this.entryName = entryName;
    }

    @ExcelField(title="初设批复文号", align=2, sort=4)
    public String getPreDesignNo() {
        return preDesignNo;
    }

    public void setPreDesignNo(String preDesignNo) {
        this.preDesignNo = preDesignNo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="初设批复日期", align=2, sort=5)
    public Date getInitialDesignDate() {
        return initialDesignDate;
    }

    public void setInitialDesignDate(Date initialDesignDate) {
        this.initialDesignDate = initialDesignDate;
    }




    public String getPreDesignAnnex() {
        return preDesignAnnex;
    }

    public void setPreDesignAnnex(String preDesignAnnex) {
        this.preDesignAnnex = preDesignAnnex;
    }

    public List<DesignStage> getChildList() {
        return childList;
    }

    public void setChildList(List<DesignStage> childList) {
        this.childList = childList;
    }
}
